mplist_push(3m17n)

NAME
mplist_push - Add a property at the beginning of a property list.

SYNOPSIS
MPlist* mplist_push (MPlist * plist, MSymbol key, void * val)

DESCRIPTION
Add a property at the beginning of a property list.

The mplist_push() function inserts at the beginning of property list plist a property whose key is key and value is val.

If key is a managing key, val must be a managed object. In this case, the reference count of val is incremented by one.

RETURN VALUE

    If the operation was successful, this function returns plist. Otherwise, it returns NULL.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.